Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
- Accumulator
- Completion
- CompletionResult
- History
- ILoop
- InteractiveReader
- Javap
- Javap8
- Javap9
- JavapClass
- JavapProvider
- JavapTask
- JavapTool
- Logger
- LoopCommands
- MultiCompletion
- NoCompletion
- NoCompletions
- NoHistory
- Parsed
- Pasted
- ProcessResult
- ReplCompletion
- ReplReporterImpl
- Scripted
- ShellConfig
- SimpleHistory
- SimpleReader
- Tabulator
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter.shell

# SimpleReader

###
Companion object SimpleReader

#### class SimpleReader extends InteractiveReader

Reads using standard JDK API.

Source
  SimpleReader.scala

Linear Supertypes
InteractiveReader, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SimpleReader
2. InteractiveReader
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SimpleReader(in: BufferedReader, out: PrintWriter, completion: Completion, interactive: Boolean, verbose: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SimpleReader toany2stringadd[SimpleReader] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SimpleReader, B)
   Implicit
     This member is added by an implicit conversion from SimpleReader toArrowAssoc[SimpleReader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val accumulator: Accumulator
   Definition Classes
     SimpleReader → InteractiveReader
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def close(): Unit
   Definition Classes
     SimpleReader → InteractiveReader
10.  val completion: Completion
    Definition Classes
      SimpleReader → InteractiveReader
11.  def echo(s: String): Unit
    Attributes
      protected
12.  def ensuring(cond: (SimpleReader) => Boolean, msg: => Any): SimpleReader
    Implicit
      This member is added by an implicit conversion from SimpleReader toEnsuring[SimpleReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (SimpleReader) => Boolean): SimpleReader
    Implicit
      This member is added by an implicit conversion from SimpleReader toEnsuring[SimpleReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): SimpleReader
    Implicit
      This member is added by an implicit conversion from SimpleReader toEnsuring[SimpleReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): SimpleReader
    Implicit
      This member is added by an implicit conversion from SimpleReader toEnsuring[SimpleReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SimpleReader toStringFormat[SimpleReader] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  val history: NoHistory.type
    Definition Classes
      SimpleReader → InteractiveReader
23.  val interactive: Boolean
    Definition Classes
      SimpleReader → InteractiveReader
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def readLine(prompt: String): String
    Definition Classes
      InteractiveReader
29.  def readOneLine(): String
    Attributes
      protected
30.  def readOneLine(prompt: String): String
    Attributes
      protected
    Definition Classes
      SimpleReader → InteractiveReader
31.  def readYesOrNo(prompt: String, alt: => Boolean): Boolean
    Definition Classes
      InteractiveReader
32.  def redrawLine(): Unit
    Definition Classes
      SimpleReader → InteractiveReader
33.  def reset(): Unit
    Definition Classes
      SimpleReader → InteractiveReader
34.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  val verbose: Boolean
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
40.  def withSecondaryPrompt[T](prompt: String)(body: => T): T
    Definition Classes
      InteractiveReader

### Deprecated Value Members

1.  def initCompletion(completion: Completion): Unit
   Definition Classes
     InteractiveReader
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.1) No longer used

2.  def →[B](y: B): (SimpleReader, B)
   Implicit
     This member is added by an implicit conversion from SimpleReader toArrowAssoc[SimpleReader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from InteractiveReader

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromSimpleReader to any2stringadd[SimpleReader]

### Inherited by implicit conversion StringFormat fromSimpleReader to StringFormat[SimpleReader]

### Inherited by implicit conversion Ensuring fromSimpleReader to Ensuring[SimpleReader]

### Inherited by implicit conversion ArrowAssoc fromSimpleReader to ArrowAssoc[SimpleReader]

### Ungrouped